%define major		0
%define libname		%mklibname rtprocess %{major}
%define develname	%mklibname rtprocess -d

Name:		librtprocess
Version:	0.11.0
Release:	%mkrel 1
Summary:	A project to make RawTherapee's processing algorithms more readily available
License:	GPLv3
Group:		System/Libraries
URL:		https://github.com/CarVac/librtprocess
Source0:	https://github.com/CarVac/librtprocess/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:	cmake
BuildRequires:	libgomp-devel

%description
This is a project that aims to make some of RawTherapee's highly
optimized raw processing routines readily available for other FOSS
photo editing software.

The goal is to move certain source files from RawTherapee into this library.
Thus, any changes to the source can be done here and will be used by the
projects which use librtprocess.

#------------------------------------------------

%package -n	%{libname}
Summary:	A project to make RawTherapee's processing algorithms more readily available
Group:		System/Libraries

%description -n	%{libname}
This is a project that aims to make some of RawTherapee's highly
optimized raw processing routines readily available for other FOSS
photo editing software.

The goal is to move certain source files from RawTherapee into this library.
Thus, any changes to the source can be done here and will be used by the
projects which use librtprocess.

#------------------------------------------------

%package -n	%{develname}
Summary:	Development package for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	rtprocess-devel = %{version}-%{release}

%description -n	%{develname}
Header files for development with %{name}.

#------------------------------------------------

%prep
%autosetup -p1

%build
%cmake
%cmake_build

%install
%cmake_install

%files -n %{libname}
%doc README.md
%license LICENSE.txt
%{_libdir}/%{name}.so.%{major}{,.*}

%files -n %{develname}
%doc README.md
%license LICENSE.txt
%{_includedir}/rtprocess/
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/rtprocess.pc
%{_libdir}/cmake/rtprocess/


%changelog
* Tue Aug 18 2020 daviddavid <daviddavid> 0.11.0-1.mga8
+ Revision: 1614714
- initial package librtprocess (needed for siril)

